Name:           perl-GD-Barcode
Version:        1.15
Release:        30
Summary:        Create barcode image with GD
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/GD-Barcode
Source0:        https://cpan.metacpan.org/authors/id/K/KW/KWITKNR/GD-Barcode-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-generators perl(Exporter) perl(ExtUtils::MakeMaker) perl(GD)
Requires:       perl(GD)

%description
GD::Barcode is a subclass of GD and allows you to create barcode image with GD.

%package_help

%prep
%autosetup -n GD-Barcode-%{version}
find sample/ -type f -exec sed -i 's/\r//' {} +

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%doc Changes README
%doc sample/
%doc test.pl
%{_mandir}/man3/*

%changelog
* Mon Feb 17 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.15-30
- Package init
